//
//  ViewController.m
//  Test
//
//  Created by Sameh Fakhouri on 10/6/16.
//  Copyright © 2016 Sameh Fakhouri. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@property (weak, nonatomic) IBOutlet UIButton *myButton;

@end

@implementation ViewController


- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    [self updateUI];
}


- (void)updateUI
{
    NSString *title = [self.myButton currentTitle];
    NSMutableAttributedString *fancy = [[NSMutableAttributedString alloc] initWithString:title];
    
    UIColor *red = [UIColor redColor];
    UIColor *foreground = [red copy];
    
    CGFloat alpha = 0.2;
    foreground = [foreground colorWithAlphaComponent:alpha];
    
    [fancy setAttributes:@{NSStrokeColorAttributeName:red,
                           NSStrokeWidthAttributeName:@-5,
                           NSForegroundColorAttributeName:foreground}
                   range:NSMakeRange(0, [title length])];
    
    [self.myButton setAttributedTitle:fancy
                             forState:UIControlStateNormal];
    
    
}


@end
